
#import "EDBOutlet.h"

@implementation EDBOutlet

- init
{
	if (![super init])
		return nil;
	outletName = NULL;
	multiUse = isTarget = NO;
	return self;
}

- read:(NXTypedStream *)stream
{
	[super read:stream];
	NXReadTypes(stream,"%cc",&outletName,&multiUse,&isTarget);
	return self;
}

- write:(NXTypedStream *)stream
{
	[super write:stream];
	NXWriteTypes(stream,"%cc",&outletName,&multiUse,&isTarget);
	return self;
}

- setOutletName:(NXAtom)name
{
	outletName = name;
	return self;
}

- setMultiUse:(BOOL)multi
{
	multiUse = multi;
	return self;
}

- setIsTarget:(BOOL)target
{
	isTarget = target;
	return self;
}

- (NXAtom)outletName
{
	return outletName;
}

- (BOOL)multiUse
{
	return multiUse;
}

- (BOOL)isTarget
{
	return isTarget;
}

@end
