
#import <appkit/appkit.h>

@interface MColCell:ActionCell
{
	Storage	*stringValues;
}

- init;
- initTextCell:(const char *)string;
- initIconCell:(const char *)string;
- initMColCell;
- free;

- setStringValue:(const char *)string at:(int)col copy:(BOOL)copy;
- (const char *)stringValueAt:(int)col;

- insertColAt:(int)col offset:(int)offset;
- addColWithOffset:(int)offset;
- removeColAt:(int)col;
- (int)colCount;

- drawInside:(const NXRect *)cellFrame inView:controlView;
- copyFromZone:(NXZone *)zone;

@end
